Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.rssoutput
Class RssOutputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.rssoutput.RssOutputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class RssOutputMeta

extends BaseStepMeta
implements StepMetaInterface

Output rows to RSS feed and create a file.

Since:
  6-nov-2007
Author:
  Samatar

Constructor Summary
`RssOutputMeta()`

Method Summary
`boolean` | `AddGeoRSS()`
`boolean` | `AddImage()`
`boolean` | `AddToResult()`
`void` | `allocate(int nrfields)`
`void` | `allocateitem(int nrfields)`
`void` | `allocatenamespace(int nrnamespaces)`
`String` | `buildFilename(org.pentaho.di.core.variables.VariableSpace space, int stepnr)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `getChannelAuthor()`
`String` | `getChannelCopyright()`
`String[]` | `getChannelCustomFields()`
`String[]` | `getChannelCustomTags()`
`String` | `getChannelDescription()`
`String` | `getChannelImageDescription()`
`String` | `getChannelImageLink()`
`String` | `getChannelImageTitle()`
`String` | `getChannelImageUrl()`
`String` | `getChannelLanguage()`
`String` | `getChannelLink()`
`String` | `getChannelPubDate()`
`String` | `getChannelTitle()`
`String` | `getEncoding()`
`String` | `getExtension()`
`String` | `getFileName()`
`String` | `getFileNameField()`
`String[]` | `getFiles(org.pentaho.di.core.variables.VariableSpace space)`
`String` | `getGeoPointLat()`
`String` | `getGeoPointLong()`
`String` | `getItemAuthor()`
`String[]` | `getItemCustomFields()`
`String[]` | `getItemCustomTags()`
`String` | `getItemDescription()`
`String` | `getItemLink()`
`String` | `getItemPubDate()`
`String` | `getItemTitle()`
`String[]` | `getNameSpaces()`
`String[]` | `getNameSpacesTitle()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getVersion()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isCreateParentFolder()`
`boolean` | `isCustomRss()`
`boolean` | `isDateInFilename()`
`boolean` | `isDisplayItem()`
`boolean` | `isFilenameInField()`
`boolean` | `isStepNrInFilename()`
`boolean` | `isTimeInFilename()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAddGeoRSS(boolean addgeorss)`
`void` | `setAddImage(boolean addimage)`
`void` | `setAddToResult(boolean AddToResult)`
`void` | `setChannelAuthor(String channelauthor)`
`void` | `setChannelCopyright(String channelcopyright)`
`void` | `setChannelCustomFields(String[] ChannelCustomFields)`
`void` | `setChannelCustomTags(String[] ChannelCustomTags)`
`void` | `setChannelDescription(String channeldescription)`
`void` | `setChannelImageDescription(String channelimagedescription)`
`void` | `setChannelImageLink(String channelimagelink)`
`void` | `setChannelImageTitle(String channelimagetitle)`
`void` | `setChannelImageUrl(String channelimageurl)`
`void` | `setChannelLanguage(String channellanguage)`
`void` | `setChannelLink(String channellink)`
`void` | `setChannelPubDate(String channelpubdate)`
`void` | `setChannelTitle(String channeltitle)`
`void` | `setCreateParentFolder(boolean createparentfolder)`
`void` | `setCustomRss(boolean customrss)`
`void` | `setDateInFilename(boolean dateInFilename)`
`void` | `setDefault()` Set default values
`void` | `setDisplayItem(boolean displayitem)`
`void` | `setEncoding(String encoding)`
`void` | `setExtension(String extension)`
`void` | `setFileName(String fileName)`
`void` | `setFileNameField(String filenamefield)`
`void` | `setFilenameInField(boolean isfilenameinfield)`
`void` | `setGeoPointLat(String geopointlat)`
`void` | `setGeoPointLong(String geopointlong)`
`void` | `setItemAuthor(String itemauthor)`
`void` | `setItemCustomFields(String[] ItemCustomTags)`
`void` | `setItemCustomTags(String[] ItemCustomTags)`
`void` | `setItemDescription(String itemdescription)`
`void` | `setItemLink(String itemlink)`
`void` | `setItemPubDate(String itempubdate)`
`void` | `setItemTitle(String itemtitle)`
`void` | `setNameSpaces(String[] NameSpaces)`
`void` | `setNameSpacesTitle(String[] NameSpacesTitle)`
`void` | `setStepNrInFilename(boolean stepNrInFilename)`
`void` | `setTimeInFilename(boolean timeInFilename)`
`void` | `setUseGeoRSSGML(boolean usegeorssgml)`
`void` | `setVersion(String version)`
`boolean` | `useGeoRSSGML()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getFields, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getFields, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Constructor Detail

### RssOutputMeta

    public RssOutputMeta()

Method Detail

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### allocate

    public void allocate(int nrfields)

### allocateitem

    public void allocateitem(int nrfields)

### allocatenamespace

    public void allocatenamespace(int nrnamespaces)

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(String version)

  Parameters:
    `version` - The version to set.

### getEncoding

    public String getEncoding()

  Returns:
    Returns the encoding.

### setEncoding

    public void setEncoding(String encoding)

  Parameters:
    `encoding` - The encoding to set.

### getFileNameField

    public String getFileNameField()

  Returns:
    Returns the filenamefield.

### setFileNameField

    public void setFileNameField(String filenamefield)

  Parameters:
    `encoding` - The encoding to set.

### getExtension

    public String getExtension()

  Returns:
    Returns the extension.

### setExtension

    public void setExtension(String extension)

  Parameters:
    `extension` - The extension to set.

### getFileName

    public String getFileName()

  Returns:
    Returns the fileName.

### isStepNrInFilename

    public boolean isStepNrInFilename()

  Returns:
    Returns the stepNrInFilename.

### setStepNrInFilename

    public void setStepNrInFilename(boolean stepNrInFilename)

  Parameters:
    `stepNrInFilename` - The stepNrInFilename to set.

### isTimeInFilename

    public boolean isTimeInFilename()

  Returns:
    Returns the timeInFilename.

### isDateInFilename

    public boolean isDateInFilename()

  Returns:
    Returns the dateInFilename.

### setDateInFilename

    public void setDateInFilename(boolean dateInFilename)

  Parameters:
    `dateInFilename` - The dateInFilename to set.

### setTimeInFilename

    public void setTimeInFilename(boolean timeInFilename)

  Parameters:
    `timeInFilename` - The timeInFilename to set.

### setFileName

    public void setFileName(String fileName)

  Parameters:
    `fileName` - The fileName to set.

### AddToResult

    public boolean AddToResult()

  Returns:
    Returns the Add to result filesname flag.

### setAddToResult

    public void setAddToResult(boolean AddToResult)

  Parameters:
    `AddToResult` - The Add file to result to set.

### setCustomRss

    public void setCustomRss(boolean customrss)

  Parameters:
    `customrss` - The custom RSS flag to set.

### isCustomRss

    public boolean isCustomRss()

  Returns:
    Returns the custom RSS flag.

### setDisplayItem

    public void setDisplayItem(boolean displayitem)

  Parameters:
    `displayitem` - The display itema ta flag.

### isDisplayItem

    public boolean isDisplayItem()

  Returns:
    Returns the displayitem.

### AddImage

    public boolean AddImage()

  Returns:
    Returns the addimage flag.

### setAddImage

    public void setAddImage(boolean addimage)

  Parameters:
    `addimage` - The addimage to set.

### AddGeoRSS

    public boolean AddGeoRSS()

  Returns:
    Returns the addgeorss flag.

### setAddGeoRSS

    public void setAddGeoRSS(boolean addgeorss)

  Parameters:
    `addgeorss` - The addgeorss to set.

### useGeoRSSGML

    public boolean useGeoRSSGML()

  Returns:
    Returns the addgeorss flag.

### setUseGeoRSSGML

    public void setUseGeoRSSGML(boolean usegeorssgml)

  Parameters:
    `usegeorssgml` - The usegeorssgml to set.

### isFilenameInField

    public boolean isFilenameInField()

  Returns:
    Returns the isfilenameinfield flag.

### setFilenameInField

    public void setFilenameInField(boolean isfilenameinfield)

  Parameters:
    `isfilenameinfield` - The isfilenameinfield to set.

### getChannelCustomFields

    public String[] getChannelCustomFields()

  Returns:
    Returns the ChannelCustomFields (names in the stream).

### setChannelCustomFields

    public void setChannelCustomFields(String[] ChannelCustomFields)

  Parameters:
    `ChannelCustomFields` - The ChannelCustomFields to set.

### getNameSpaces

    public String[] getNameSpaces()

  Returns:
    Returns the NameSpaces.

### setNameSpaces

    public void setNameSpaces(String[] NameSpaces)

  Parameters:
    `NameSpaces` - The NameSpaces to set.

### getNameSpacesTitle

    public String[] getNameSpacesTitle()

  Returns:
    Returns the NameSpaces.

### setNameSpacesTitle

    public void setNameSpacesTitle(String[] NameSpacesTitle)

  Parameters:
    `NameSpacesTitle` - The NameSpacesTitle to set.

### getChannelCustomTags

    public String[] getChannelCustomTags()

  Returns:
    Returns the getChannelCustomTags (names in the stream).

### setChannelCustomTags

    public void setChannelCustomTags(String[] ChannelCustomTags)

  Parameters:
    `getChannelCustomTags` - The getChannelCustomTags to set.

### getItemCustomTags

    public String[] getItemCustomTags()

  Returns:
    Returns the getChannelCustomTags (names in the stream).

### setItemCustomTags

    public void setItemCustomTags(String[] ItemCustomTags)

  Parameters:
    `getChannelCustomTags` - The getChannelCustomTags to set.

### getItemCustomFields

    public String[] getItemCustomFields()

  Returns:
    Returns the ChannelItemFields (names in the stream).

### setItemCustomFields

    public void setItemCustomFields(String[] ItemCustomTags)

  Parameters:
    `getChannelCustomTags` - The getChannelCustomTags to set.

### isCreateParentFolder

    public boolean isCreateParentFolder()

  Returns:
    Returns the create parent folder flag.

### setCreateParentFolder

    public void setCreateParentFolder(boolean createparentfolder)

  Parameters:
    `createparentfolder` - The create parent folder flag to set.

### getFiles

    public String[] getFiles(org.pentaho.di.core.variables.VariableSpace space)

### buildFilename

    public String buildFilename(org.pentaho.di.core.variables.VariableSpace space,
                                int stepnr)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getChannelTitle

    public String getChannelTitle()

  Returns:
    the channeltitle

### getChannelDescription

    public String getChannelDescription()

  Returns:
    the channeldescription

### getChannelLink

    public String getChannelLink()

  Returns:
    the channellink

### getChannelPubDate

    public String getChannelPubDate()

  Returns:
    the channelpubdate

### getChannelImageLink

    public String getChannelImageLink()

  Returns:
    the channelimagelink

### getChannelImageUrl

    public String getChannelImageUrl()

  Returns:
    the channelimageurl

### getChannelImageDescription

    public String getChannelImageDescription()

  Returns:
    the channelimagedescription

### getChannelImageTitle

    public String getChannelImageTitle()

  Returns:
    the channelimagetitle

### getChannelLanguage

    public String getChannelLanguage()

  Returns:
    the channellanguage

### getChannelAuthor

    public String getChannelAuthor()

  Returns:
    the channelauthor

### setChannelAuthor

    public void setChannelAuthor(String channelauthor)

  Parameters:
    `channelauthor` - the channelauthor to set

### setChannelTitle

    public void setChannelTitle(String channeltitle)

  Parameters:
    `channeltitle` - the channeltitle to set

### setChannelLink

    public void setChannelLink(String channellink)

  Parameters:
    `channellink` - the channellink to set

### setChannelPubDate

    public void setChannelPubDate(String channelpubdate)

  Parameters:
    `channelpubdate` - the channelpubdate to set

### setChannelImageTitle

    public void setChannelImageTitle(String channelimagetitle)

  Parameters:
    `channelimagetitle` - the channelimagetitle to set

### setChannelImageLink

    public void setChannelImageLink(String channelimagelink)

  Parameters:
    `channelimagelink` - the channelimagelink to set

### setChannelImageUrl

    public void setChannelImageUrl(String channelimageurl)

  Parameters:
    `channelimageurl` - the channelimageurl to set

### setChannelImageDescription

    public void setChannelImageDescription(String channelimagedescription)

  Parameters:
    `channelimagedescription` - the channelimagedescription to set

### setChannelLanguage

    public void setChannelLanguage(String channellanguage)

  Parameters:
    `channellanguage` - the channellanguage to set

### setChannelDescription

    public void setChannelDescription(String channeldescription)

  Parameters:
    `channeldescription` - the channeldescription to set

### getItemTitle

    public String getItemTitle()

  Returns:
    the itemtitle

### getGeoPointLat

    public String getGeoPointLat()

  Returns:
    the geopointlat

### setGeoPointLat

    public void setGeoPointLat(String geopointlat)

  Parameters:
    `geopointlat` - the geopointlat to set

### getGeoPointLong

    public String getGeoPointLong()

  Returns:
    the geopointlong

### setGeoPointLong

    public void setGeoPointLong(String geopointlong)

  Parameters:
    `geopointlong` - the geopointlong to set

### getItemDescription

    public String getItemDescription()

  Returns:
    the itemdescription

### getItemLink

    public String getItemLink()

  Returns:
    the itemlink

### getItemPubDate

    public String getItemPubDate()

  Returns:
    the itempubdate

### getItemAuthor

    public String getItemAuthor()

  Returns:
    the itemauthor

### setItemTitle

    public void setItemTitle(String itemtitle)

  Parameters:
    `itemtitle` - the itemtitle to set

### setItemDescription

    public void setItemDescription(String itemdescription)

  Parameters:
    `itemdescription` - the itemdescription to set

### setItemLink

    public void setItemLink(String itemlink)

  Parameters:
    `itemlink` - the itemlink to set

### setItemPubDate

    public void setItemPubDate(String itempubdate)

  Parameters:
    `itempubdate` - the itempubdate to set

### setItemAuthor

    public void setItemAuthor(String itemauthor)

  Parameters:
    `itemauthor` - the itemauthor to set

### getChannelCopyright

    public String getChannelCopyright()

  Returns:
    channelcopyrightt

### setChannelCopyright

    public void setChannelCopyright(String channelcopyright)

  Parameters:
    `channelcopyright` - the channelcopyright to set

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD